#!/bin/bash
set -x

THISDIR="$(cd $(dirname "$BASH_SOURCE") && pwd -P)"
DST="/var/mirror"

debmirror \
	-a i386,amd64 \
	--no-source \
	-s main,restricted,universe,multiverse \
	-h ${UBUNTU_MIRROR_SOURCE:-archive.ubuntu.com}
	-d trusty,trusty-updates,trusty-security,trusty-backports \
	-d xenial,xenial-updates,xenial-security,xenial-backports \
	-r /ubuntu \
	--progress \
	--method=http \
	$DST/ubuntu

chmod -R a+rX $DST/ubuntu
